<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('documents', function (Blueprint $table) {
            $table->string('document_type')->default('text')->after('name');
            $table->integer('no_of_images')->default(0)->after('no_of_words');
        });

        Schema::table('document_requests', function (Blueprint $table) {
            $table->integer('no_of_images')->default(0)->after('no_of_words');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('documents', function (Blueprint $table) {
            $table->dropColumn('document_type');
            $table->dropColumn('no_of_images');
        });

        Schema::table('document_requests', function (Blueprint $table) {
            $table->dropColumn('no_of_images');
        });
    }
};
