<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="@lang('front.direction')"
    theme-mode="{{ (setting('dark_default_theme') == 'dark' && setting('enable_dark_mode') == 1) || request()->cookie('siteMode') === 'dark' ? 'dark' : 'light' }}">

<head>
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    @vite(['resources/themes/neuralink/assets/sass/app.scss', 'resources/themes/neuralink/assets/js/app.js'])
    @meta_tags()
    @meta_tags('header')
    @if (setting('enable_header_code', 0))
        {!! setting('header_code') !!}
    @endif
</head>

<body>
    <main class="main-wrapper">
        <x-application-navbar />
        {{ $slot }}
    </main>
    <x-application-footer />
    <x-application-messages />
    <x-application-cookies-consent />
    <x-application-loader />
    <x-application-theme-switch />
    <x-application-back-to-top />
    @meta_tags('footer')
    @stack('page_scripts')
    @if (setting('enable_footer_code', 0))
        {!! setting('footer_code') !!}
    @endif
</body>

</html>
