<x-front-layout>
    <div class="boot-chat">
        <section class="container">
            <div class="title text-center">
                <h1>@lang('robots.aiChatBots')</h1>
                <p>@lang('robots.aiChatBotsDesc')</p>
            </div>
            <div class="boot-list">
                <div class="search box-shadow">
                    <input class="form-control" type="search" placeholder="Search" aria-label="Search" id="search-input">
                </div>
                <div class="row match-height">
                    @foreach ($robots as $robot)
                        <div class="col-md-4 robot-search-li">
                            <div class="list-wrap box-shadow">
                                <a href="{{ route('robot.conversation', ['robot' => $robot->id]) }}">
                                    @if ($robot->getFirstMediaUrl('avatar-robot'))
                                        <div class="img-wrap">
                                            <img src="{{ $robot->getFirstMediaUrl('avatar-robot') }}" alt="avatar">
                                        </div>
                                    @else
                                        <div
                                            class="img-wrap d-flex align-items-center justify-content-center boot-avatar">
                                            {{ get_initials($robot->name) }}
                                        </div>
                                    @endif
                                    <div class="about">
                                        <h4 class="name">{{ $robot->name }}</h4>
                                        <p class="discretion">
                                            {{ $robot->profession }}
                                        </p>
                                    </div>
                                </a>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </section>
    </div>
    @push('page_scripts')
        <script>
            const APP = function() {
                const searchFilter = function() {
                        var input, filter, ul, li, a, i, txtValue;
                        input = document.getElementById("search-input");
                        filter = input.value.toUpperCase();
                        li = document.getElementsByClassName("robot-search-li");
                        for (i = 0; i < li.length; i++) {
                            a = li[i];
                            txtValue = a.textContent || a.innerText;
                            if (txtValue.toUpperCase().indexOf(filter) > -1) {
                                li[i].style.display = "";
                            } else {
                                li[i].style.display = "none";
                            }
                        }
                    },
                    attachEvents = function() {
                        document.getElementById('search-input').addEventListener("keyup", function(event) {
                            searchFilter();
                        });
                    };
                return {
                    init: function() {
                        attachEvents();
                    }
                }
            }()
            document.addEventListener("DOMContentLoaded", function(event) {
                APP.init();
            });
        </script>
    @endpush
</x-front-layout>
